%define name SVGATextMode
%define version 1.10
%define release 3mdk

Summary: A utility for improving the appearance of text consoles.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Terminals
Source: ftp://metalab.unc.edu/pub/Linux/utils/console/%{name}-%{version}-src.tar.bz2
#(deush) regenerate patch0
Patch0: SVGATextMode-1.9-make.patch.bz2
#(deush) add some fonts 
Patch1: SVGATextMode-1.9-src-mdk.patch.bz2
#(deush) kernel-headers --> add include file where missed ...
Patch2: SVGATextMode-1.10-include.patch.bz2
Patch3: SVGATextMode-1.9-set80.patch.bz2
Patch4: SVGATextMode-1.9-src-manbz2.patch.bz2
Requires: kbd
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: i386 i486 i586 i686 k6

%description
SVGATextMode is a utility for reprogramming (S)VGA hardware,
which can improve the appearance of text consoles.
You should install SVGATextMode if you want to alter the
appearance of your text consoles. The utility uses a 
configuration file (TextConfig) to set up 
textmodes with higher resolution, larger fonts, higher 
display refresh rates, etc.

Although SVGATextMode can be used to program any text
mode size, your results will depend on your VGA card.

%prep
%setup -n SVGATextMode-%{version}
%patch0 -p1 -b .make
%patch1 -p1 -b .rh
#%patch2 -p1 
%patch3 -p0 -b .set80
%patch4 -p1 -b .warly

%build
make dep
make all CFLAGS="$RPM_OPT_FLAGS -IXFREE/include"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/man/man5,usr/man/man8,usr/sbin}
make DESTDIR=$RPM_BUILD_ROOT newinstall manbz2-install
install -m 0755 STMmenu $RPM_BUILD_ROOT%{_sbindir}/stm-menu
# move man pages
mkdir $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%{_datadir}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/TextConfig
%doc README README.FIRST CREDITS COPYING HISTORY TODO Changelog
%doc doc/*
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Tue Jan 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-3mdk
- include cache.h again, and rebuild for kernel 2.4.

* Sat Nov 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.10-2mdk
- build with defaults cflags -O3 (chmouel).

* Fri Nov 24 2000 Daouda Lo <daouda@mandrakesoft.com> 1.10-1mdk
- release
- fix gcc-2.96 compilation
- redefine path to kernel headers (cache.h and dcache.h)
- macroz + cleanup 

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 1.9-7mdk
- rebuilt using _mandir macro

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.9-6mdk
- release build.

* Thu Dec 30 1999 Florent Villard <warlyl@mandrakesoft.com> 1.9-5mdk
- clean the bz2 man pages 

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't do a set80 under X (break X).

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade ExclusiveArch to support k6.
- add a defattr.

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.9
- Update ExclusiveArch tag to support i486 and i686
- set more reasonable defaults
- fix handling of $RPM_OPT_FLAGS
- use always at least -O2 (needed for outb())

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update ExclusiveArch tag.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- add de locale
- fix a bug in the %description - SVGATextMode does NOT use XF86Config

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for Matrox Millenium AGP

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- ExclusiveArch: i386

* Sun Jan 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.8
- built against glibc; spec file cleanup

* Wed Jul 2 1997 Timo Karjalainen <timok@iki.fi>
- Upgraded to version 1.6

* Fri Jun 13 1997 Timo Karjalainen <timok@iki.fi>
- Config file moved from /usr/etc to /etc
- Some minor changes to specfile

* Wed Jun 4 1997 Ximenes Zalteca <ximenes@null.net>
- Re-Group:'d

* Sun Apr 27 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added %changelog
- added %clean
- added BuildRoot

